| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iSndSysRendererSoftware Struct Reference
[Sound system]

Software renderer specific interface extensions. More...

`#include <isndsys/ss_renderer.h>`

Inheritance diagram for iSndSysRendererSoftware:

[legend]
List of all members.

## Public Member Functions
virtual bool | AddOutputFilter (SndSysFilterLocation Location, iSndSysSoftwareOutputFilter *pFilter)=0
| Add an output filter at the specified location.
virtual bool | RemoveOutputFilter (SndSysFilterLocation Location, iSndSysSoftwareOutputFilter *pFilter)=0
| Remove an output filter from the registered list.
| SCF_INTERFACE (iSndSysRendererSoftware, 0, 1, 1)
| SCF2006 - See http://www.crystalspace3d.org/cseps/csep-0010.html.

## Detailed Description

Software renderer specific interface extensions.

Definition at line 118 of file ss_renderer.h.

## Member Function Documentation

virtual bool iSndSysRendererSoftware::AddOutputFilter | ( | SndSysFilterLocation | Location,
|  | iSndSysSoftwareOutputFilter * | pFilter |
| ) |  |  | `[pure virtual]`

Add an output filter at the specified location.

virtual bool iSndSysRendererSoftware::RemoveOutputFilter | ( | SndSysFilterLocation | Location,
|  | iSndSysSoftwareOutputFilter * | pFilter |
| ) |  |  | `[pure virtual]`

Remove an output filter from the registered list.

iSndSysRendererSoftware::SCF_INTERFACE | ( | iSndSysRendererSoftware | ,
|  | 0 | ,
|  | 1 | ,
|  | 1 |  |
| ) |  |  |

SCF2006 - See http://www.crystalspace3d.org/cseps/csep-0010.html.

The documentation for this struct was generated from the following file:

- isndsys/ss_renderer.h